import * as $dara from '@darabonba/typescript';
import { CreateAutoProvisioningGroupResponseBody } from "./CreateAutoProvisioningGroupResponseBody";
export declare class CreateAutoProvisioningGroupResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: CreateAutoProvisioningGroupResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
